from sqlalchemy import Column, Integer, String, Text, DateTime
from datetime import datetime
from model.database import Base
#from database import Base

#モデルクラスを定義する

class Student(Base):
    # students という名前のテーブルを作成する
    __tablename__ = 'students'
    # id, user, hashed_password のカラムを作成する
    id = Column(Integer, primary_key=True)
    user_name = Column(String(128), unique=True)
    hashed_password = Column(String(128))

    def __init__(self, user_name=None, hashed_password=None):
        self.user_name = user_name
        self.hashed_password = hashed_password

    def __repr__(self):
        return '<Name %r>' % (self.user_name)

# def init():
#     Base.metadata.create_all()